#ifndef _LIB_STRING_H_
#define _LIB_STRING_H_


#if defined (__STDC__) || defined (__cplusplus) || defined (NeedFunctionPrototypes)
#  define __PARMS(s) s
#else
#  define __PARMS(s) ()
#endif

char   *strlwr    __PARMS((char *string));
char   *strupr    __PARMS((char *string));
short   fls       __PARMS((ulong value));

#ifdef WORDS_BIGENDIAN
ushort  swapw     __PARMS((ushort *value));
ulong   swapl     __PARMS((ulong *value));
#endif

#ifndef HAVE_STRSIGNAL
char   *strsignal __PARMS((int signum));
#endif

#ifndef HAVE_STRERROR
char   *strerror  __PARMS((int errnum));
#endif

#ifndef HAVE_MEMMOVE
void   *memmove   __PARMS((void *dest, void *src, size_t n));
#endif

#undef __PARMS
#endif /* _LIB_STRING_H_ */
